import Request from '@/utils/request/request-util';

/**
 * 门户前台 - 应用中心api
 *
 */
export class AppCenterApi {
    /**
     * 主页应用分类+链接
     * @param {*} params
     */
    static getTotalCategoryAndLink(params) {
        return Request.get('/appCenter/getTotalCategoryAndLink', params);
    }

    /**
     * 获取当前用户快捷入口的应用链接列表
     * @param {*} params
     */
    static getCurrentUserLinkList(params) {
        return Request.get('/component/quickAccess/getCurrentUserLinkList', params);
    }

    /**
     * 获取用户自定义配置列表
     * @param {*} params
     */
    static getUserConfigList(params) {
        return Request.get('/component/quickAccess/getUserConfigList', params);
    }

    /**
     * 配置当前用户快捷入口
     * @param {*} params
     */
    static updateUserConfigList(params) {
        return Request.post('/component/quickAccess/updateUserConfigList', params);
    }
}